<author-form external-fields='[
          {
            "id": "classtype",
            "label": "Class",
            "description": "The classtype",
            "xsdDatatype": "xsd:anyURI",
            "minOccurs": "1",
            "maxOccurs": "1",
            "selectPattern": "SELECT ?value WHERE {?subject a <http://iflastandards.info/ns/fr/frbr/frbroo/F1_Work>}",
            "insertPattern": "",
            "deletePattern": ""
          },
          {
            "id": "lookup",
            "label": "F1_Work (frbroo:F1_Work)",
            "description": "Create a new F1_Work entity from an external source",
            "xsdDatatype": "xsd:anyURI",
            "minOccurs": "1",
            "maxOccurs": "1",
            "selectPattern": "SELECT ?value WHERE {?subject a <http://iflastandards.info/ns/fr/frbr/frbroo/F1_Work>}",
            "autosuggestionPattern": "PREFIX wd: <http://www.researchspace.org/resource/system/services/wikidata/> PREFIX xsd: <http://www.w3.org/2001/XMLSchema#> PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#> PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> PREFIX bds: <http://www.bigdata.com/rdf/search#> PREFIX skos: <http://www.w3.org/2004/02/skos/core#> PREFIX luc: <http://www.ontotext.com/owlim/lucene#> PREFIX aat: <http://vocab.getty.edu/aat/> PREFIX gvp: <http://vocab.getty.edu/ontology#> PREFIX xl: <http://www.w3.org/2008/05/skos-xl#> PREFIX dct: <http://purl.org/dc/terms/> PREFIX gvp_lang: <http://vocab.getty.edu/language/> PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/> SELECT ?label ?value WHERE { { SERVICE <https://rs.lincsproject.ca/sparql> { SELECT ?resource ?label ?sort where { GRAPH ?src { ?resource a <http://iflastandards.info/ns/fr/frbr/frbroo/F1_Work>; rdfs:label ?l . FILTER(lang(?l) NOT IN (\"el\", \"de\", \"zh\", \"fr\", \"pt\", \"ru\")) OPTIONAL { ?resource rdfs:comment ?description . FILTER(lang(?description) NOT IN (\"el\", \"de\", \"zh\", \"fr\", \"pt\", \"ru\")) } } SERVICE bds:search { ?l bds:search ?__token__; bds:minRelevance \"0.5\"; bds:matchAllTerms \"false\"; bds:relevance ?score. } BIND(\"0\" as ?sort) BIND( CONCAT(CONCAT(\"LINCS (<\", str(?src)), \">))\") as ?provider) BIND( IF(BOUND(?description), CONCAT(CONCAT(CONCAT(CONCAT(CONCAT(CONCAT(str(?l), \" (IRI: <\"), str(?resource)), \"> Description: \"), ?description), \") (Source: \"), ?provider), CONCAT(CONCAT(CONCAT(CONCAT(CONCAT(str(?l), \" (IRI: <\", str(?resource)), \">) (Source: \"), ?provider))) ) as ?label) } LIMIT 10 } } UNION { SERVICE <http://vocab.getty.edu/sparql> { select ?resource ?label WHERE { ?resource a skos:Concept; luc:term ?__token__; skos:inScheme aat: ; gvp:prefLabelGVP [xl:literalForm ?Term] optional {?resource skos:scopeNote [dct:language gvp_lang:en; rdf:value ?description]} BIND(?Term as ?l) BIND(IF(BOUND(?description), CONCAT(CONCAT(CONCAT(CONCAT(CONCAT(?l, \" (IRI: <\"), str(?resource)), \"> Description: \"), ?description), \") (Source: AAT (Getty))\"), CONCAT(?l, \" (IRI: <\", str(?resource), \"> (Source: AAT (Getty))\") ) as ?label) } LIMIT 10 } } UNION { SERVICE wd:wikidataSearchService { SELECT * WHERE { ?subject wd:search ?__token__ ; wd:concepturi ?resource ; wd:label ?l ; wd:description ?description . } LIMIT 10 } BIND(IF(BOUND(?description), CONCAT(CONCAT(CONCAT(CONCAT(str(?l), \" (IRI: <\"), str(?resource), \"> Description: \"), ?description), \") (Source: Wikidata)\"), CONCAT(CONCAT(CONCAT(str(?l), \" (IRI: <\"), str(?resource)), \"> (Source: Wikidata)\") ) as ?label) } BIND(?resource as ?value) } ORDER BY DESC(?sort)",
            "insertPattern": "",
            "deletePattern": ""
          }]'
          node='{{node}}' template='{{> form}}'
          external-insert-query="PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
                        PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
                        PREFIX wd: <http://www.wikidata.org/entity/>
                        PREFIX dct: <http://purl.org/dc/terms/>
                        PREFIX gvp: <http://vocab.getty.edu/ontology#>
                        PREFIX skos: <http://www.w3.org/2004/02/skos/core#>
                        PREFIX gvp_lang: <http://vocab.getty.edu/language/>
                        PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
                        PREFIX xl: <http://www.w3.org/2008/05/skos-xl#>
                        INSERT { 
                          GRAPH <{graphIRI}> { 
                          <{iri}> a <http://iflastandards.info/ns/fr/frbr/frbroo/F1_Work> ;
                            rdfs:label ?label ;
                            rdfs:comment ?description .
                          }
                        } WHERE { 
                          { 
                              SERVICE <https://rs.lincsproject.ca/sparql> { 
                                  SELECT ?label ?description where { 
                                      <{iri}> rdfs:label ?label .
                                      OPTIONAL {<{iri}> rdfs:comment ?description}
                                      filter(lang(?label)='en')
                                  }
                              }
                          } UNION
                          { 
                              SERVICE <http://vocab.getty.edu/sparql> { 
                                  SELECT ?label ?description where { 
                                     <{iri}> gvp:prefLabelGVP [xl:literalForm ?label] .
                                    optional { <{iri}> skos:scopeNote [dct:language gvp_lang:en; rdf:value ?description] }
                                  }
                              }
                          } UNION
                          { 
                              SERVICE <https://query.wikidata.org/sparql> { 
                                  SELECT ?label ?description where { 
                                      <{iri}> rdfs:label ?label .
                                      optional {<{iri}> <http://schema.org/description> ?description .
                                      FILTER(lang(?description)='en') }
                                      filter(lang(?label)='en')
                                  }
                              }
                          }
                        }"
          frame='{{viewId}}'
          tokenizeLuceneQuery=false 
          escapeLuceneSyntax=false
          semantic-title='F1_Work (frbroo:F1_Work)'
          semantic-title-iri='http://iflastandards.info/ns/fr/frbr/frbroo/F1_Work'
          semantic-fields='[[fieldDefinitions
                    classtype = "http://www.w3.org/1999/02/22-rdf-syntax-ns#type"
                    label = "http://www.w3.org/2000/01/rdf-schema#label"
                    core_altLabel = "http://www.w3.org/2004/02/skos/core#altLabel"
                    P2_has_type_auto = "http://www.cidoc-crm.org/cidoc-crm/P2_has_type"
                    P2_has_type_tree = "http://www.cidoc-crm.org/cidoc-crm/P2_has_type"
                    same_as_auto = "http://www.w3.org/2002/07/owl#sameAs"
                    same_as_man = "http://www.w3.org/2002/07/owl#sameAs"
                    P129_is_about = "http://www.cidoc-crm.org/cidoc-crm/P129_is_about"
                    P72_has_language = "http://www.cidoc-crm.org/cidoc-crm/P72_has_language"
                    P67_refers_to = "http://www.cidoc-crm.org/cidoc-crm/P67_refers_to"
                    P148_has_component = "http://www.cidoc-crm.org/cidoc-crm/P148_has_component"
                    R3_is_realised_in = "http://iflastandards.info/ns/fr/frbr/frbroo/R3_is_realised_in"
                    ]]'>
  <template id='form'> 
      <div class="form-scroll-area">
              <semantic-query query="SELECT DISTINCT ?profile ?title where {        
            graph <http://metadata.lincsproject.ca> { 
                ?g crm:P1_is_identified_by ?title_id .
                ?title_id crm:P2_has_type <http://vocab.getty.edu/aat/300417227> ;
                    crm:P190_has_symbolic_content ?title .	
                ?subject crm:P129_is_about ?g ; 
                    crm:P2_has_type lincs:applicationProfile ; 
                    crm:P1_is_identified_by ?id . 
                    ?id crm:P190_has_symbolic_content ?p.
                    BIND(IRI(?p) AS ?profile)
             } 
            {
              SELECT ?g WHERE { graph ?g {
                      ?subject a <http://iflastandards.info/ns/fr/frbr/frbroo/F1_Work> .
                  }
              }
            }
        }" template='{{> template}}'>
          <template id="template">
            <div>
              <h2 style="padding: 10px 0px 10px 0px">Examine how this entity has been applied by LINCS:</h2>
              {{#each bindings}}
                <li style="padding-left: 25px;"><a target="_blank" href="{{profile.value}}" class="application_profile">{{title.value}}</a></li>
              {{/each}}
            </div>
          </template>  
        </semantic-query>
        <h2 style="padding-top: 25px;">General Properties</h2><semantic-form-hidden-input for="classtype" default-value="http://iflastandards.info/ns/fr/frbr/frbroo/F1_Work"></semantic-form-hidden-input>
        <semantic-form-text-input for="label"></semantic-form-text-input>
        <semantic-form-text-input for="core_altLabel"></semantic-form-text-input>
        <semantic-form-autocomplete-input for="P2_has_type_auto" label="has type (full-text lookup)">[[> forms/modal/E55_Type]]</semantic-form-autocomplete-input>
        <semantic-form-tree-picker-input for="P2_has_type_tree" label="has type (vocabulary tree)">[[> forms/modal/E55_Type]]</semantic-form-tree-picker-input>
        <semantic-form-autocomplete-input for="same_as_auto" label="same as (lookup)"></semantic-form-autocomplete-input>
            <div class="create_new"><semantic-link uri="http://www.researchspace.org/resource/ThinkingFrames?view=entity-editor"><button type="button" class="semantic-form-tree-picker-input__create-button btn btn-default"><span class="fa fa-plus btn-icon-left"></span><span>Create new</span></button></semantic-link></div>
        <semantic-form-text-input for="same_as_man" label="same as (manual input)"></semantic-form-text-input>
        <semantic-form-autocomplete-input for="P129_is_about"></semantic-form-autocomplete-input>
            <div class="create_new"><semantic-link uri="http://www.researchspace.org/resource/ThinkingFrames?view=entity-editor"><button type="button" class="semantic-form-tree-picker-input__create-button btn btn-default"><span class="fa fa-plus btn-icon-left"></span><span>Create new</span></button></semantic-link></div><h2>F1_Work Properties</h2>
        <semantic-form-autocomplete-input for="P72_has_language">[[> forms/modal/E56_Language ]]</semantic-form-autocomplete-input>
        <semantic-form-autocomplete-input for="P67_refers_to"></semantic-form-autocomplete-input><div class="create_new"><semantic-link uri="http://www.researchspace.org/resource/ThinkingFrames?view=entity-editor"><button type="button" class="semantic-form-tree-picker-input__create-button btn btn-default"><span class="fa fa-plus btn-icon-left"></span><span>Create new</span></button></semantic-link></div>
        <semantic-form-autocomplete-input for="P148_has_component">[[> forms/modal/E89_Propositional_Object ]]</semantic-form-autocomplete-input>
        <semantic-form-autocomplete-input for="R3_is_realised_in"></semantic-form-autocomplete-input>
        </div>
      <div class="form_submit">
        <button name="submit" class="btn btn-default">Save</button>
        <button name="delete" class="btn btn-default">Delete</button>
        <button name="reset" class="btn btn-default">Reset</button>
      </div>
  </template>
</author-form>
